--- title: What will your website look like? slug: Learn/Getting\_started\_with\_the\_web/What\_will\_your\_website\_look\_like tags: - Assets - Beginner - Composing - Content - Deprecated - Design - Fonts - Learn - Simple - l10n:priority - step by step ---

{{LearnSidebar}}

{{PreviousMenuNext("Learn/Getting\_started\_with\_the\_web/Installing\_basic\_software", "Learn/Getting\_started\_with\_the\_web/Dealing\_with\_files", "Learn/Getting\_started\_with\_the\_web")}}

*What will your website look like?* discusses the planning and design work you have to do for your website before writing code, including "What information does my website offer?", "What fonts and colors do I want?", and "What does my site do?"

First things first: planning
----------------------------

Before doing anything, you need some ideas. What should your website actually do? A website can do basically anything, but, for your first try, you should keep things simple. We'll start by creating a simple webpage with a heading, an image, and a few paragraphs.

To begin, you'll need to answer these questions:

1.  **What is your website about?** Do you like dogs, New York, or Pac-Man?
2.  **What information are you presenting on the subject?** Write a title and a few paragraphs and think of an image you'd like to show on your page.
3.  **What does your website look like,** in simple high-level terms? What's the background color? What kind of font is appropriate: formal, cartoony, bold and loud, subtle?

**Note**: Complex projects need detailed guidelines that go into all the details of colors, fonts, spacing between items on a page, appropriate writing style, and so on. This is sometimes called a design guide, design system, or brand book, and you can see an example at the [Firefox Photon Design System](https://design.firefox.com/photon/).

Sketching out your design
-------------------------

Next, grab pen and paper and sketch out roughly how you want your site to look. For your first simple webpage, there's not much to sketch out, but you should get in the habit of doing this now. It really helps — you don't have to be Van Gogh!

![](website-drawing-scan.png)

**Note**: Even on real, complex websites, the design teams usually start out with rough sketches on paper and later on build digital mockups using a graphics editor or web technologies.

Web teams often include both a graphic designer and a {{Glossary("UX", "user experience")}} (UX) designer. Graphic designers put together the visuals of the website. UX designers have a somewhat more abstract role in addressing how users will experience and interact with the website.

Choosing your assets
--------------------

At this point, it's good to start putting together the content that will eventually appear on your webpage.

### Text

You should still have your paragraphs and title from earlier. Keep these close by.

### Theme color

To choose a color, go to [the Color Picker](/en-US/docs/Web/CSS/CSS_Colors/Color_picker_tool) and find a color you like. When you click on a color, you'll see a strange six-character code like `#660066`. That's called a *hex code* (short for hexadecimal), and represents your color. Copy the code down somewhere safe for now.

![](color-picker.png)

### Images

To choose an image, go to [Google Images](https://www.google.com/imghp?gws_rd=ssl) and search for something suitable.

1.  When you find the image you want, click on the image to get an enlarged view of it.
2.  Right-click the image (Ctrl + click on a Mac), choose *Save Image As...*, and choose a safe place to save your image. Alternatively, copy the image's web address from your browser's address bar for later use.

![](updated-google-images.png)

Note that most images on the web, including in Google Images, are copyrighted. To reduce your likelihood of violating copyright, you can use Google's license filter. Click on the *Tools* button, then on the resulting *Usage rights* option that appears below. You should choose the option *Creative Commons licenses*.

![](updated-google-images-licensing.png)

### Font

To choose a font:

1.  Go to [Google Fonts](https://www.google.com/fonts) and scroll down the list until you find one you like. You can also use the controls on the right to further filter the results.
2.  Click the "plus" (Add to) icon next to the font you want.
3.  Click the "\* Family Selected" button in the panel at the bottom of the page ("\*" depends on how many fonts you selected).
4.  In the popup box, you can see and copy the lines of code Google gives you into your text editor to save for later.

![](font1.png)

![](font2.png)

{{PreviousMenuNext("Learn/Getting\_started\_with\_the\_web/Installing\_basic\_software", "Learn/Getting\_started\_with\_the\_web/Dealing\_with\_files", "Learn/Getting\_started\_with\_the\_web")}}

In this module
--------------

-   <span id="Installing_basic_software">[Installing basic software](/en-US/docs/Learn/Getting_started_with_the_web/Installing_basic_software)</span>
-   <span id="What_will_your_website_look_like">[What will your website look like?](/en-US/docs/Learn/Getting_started_with_the_web/What_will_your_website_look_like)</span>
-   <span id="Dealing_with_files">[Dealing with files](/en-US/docs/Learn/Getting_started_with_the_web/Dealing_with_files)</span>
-   <span id="HTML_basics">[HTML basics](/en-US/docs/Learn/Getting_started_with_the_web/HTML_basics)</span>
-   <span id="CSS_basics">[CSS basics](/en-US/docs/Learn/Getting_started_with_the_web/CSS_basics)</span>
-   <span id="JavaScript_basics">[JavaScript basics](/en-US/docs/Learn/Getting_started_with_the_web/JavaScript_basics)</span>
-   <span id="Publishing_your_website">[Publishing your website](/en-US/docs/Learn/Getting_started_with_the_web/Publishing_your_website)</span>
-   <span id="How_the_web_works">[How the web works](/en-US/docs/Learn/Getting_started_with_the_web/How_the_Web_works)</span>
